Your achievements

Level 1

0% to

Level 2

Tip /
Sign in

Sign in to Community

to gain points, level up, and earn exciting badges like the new
BedrockMission!

Learn More

View all

Sign in to view all badges

com.day.cq.wcm.api cannot be resolved

Avatar

Avatar
Ignite 1
Level 1
Adobe_CQ_Dispat
Level 1

Like

1 like

Total Posts

10 posts

Correct Reply

0 solutions
Top badges earned
Ignite 1
Validate 1
Boost 1
View profile

Avatar
Ignite 1
Level 1
Adobe_CQ_Dispat
Level 1

Like

1 like

Total Posts

10 posts

Correct Reply

0 solutions
Top badges earned
Ignite 1
Validate 1
Boost 1
View profile
Adobe_CQ_Dispat
Level 1

30-10-2020

Hi All,

     Can any one provide me solution to resolve the following :      

  • com.day.cq.wcm.api,version=[1.29,2) -- Cannot be resolved
  • org.apache.sling.api.resource,version=[2.12,3) -- Cannot be resolved

Here I am using AEM 6.5 still I am using the latest Uberjar eventhen I am getting this issue 

Thanks,

Pavan

 

Accepted Solutions (1)

Accepted Solutions (1)

Avatar

Avatar
Boost 500
MVP
Vijayalakshmi_S
MVP

Likes

512 likes

Total Posts

647 posts

Correct Reply

214 solutions
Top badges earned
Boost 500
Give Back 50
Give Back 5
Ignite 10
Ignite 5
View profile

Avatar
Boost 500
MVP
Vijayalakshmi_S
MVP

Likes

512 likes

Total Posts

647 posts

Correct Reply

214 solutions
Top badges earned
Boost 500
Give Back 50
Give Back 5
Ignite 10
Ignite 5
View profile
Vijayalakshmi_S
MVP

02-11-2020

Hi @Adobe_CQ_Dispat,

Can you let know if AEM 6.5 is a fresh install type or in-place upgraded instance?

Cross check

  • The below OOB bundles (which are not resolved - WCM and Sling resource API)and look for the version it is exporting and check it is active
  • Uber jar entry is in par with the AEM instance version

 If everything looks fine and still an issue, try to restart the framework if it is your local or any lower environments - http://localhost:4502/system/console/vmstat

Answers (2)

Answers (2)

Avatar

Avatar
Give Back 5
Employee
sunjot16
Employee

Likes

105 likes

Total Posts

164 posts

Correct Reply

50 solutions
Top badges earned
Give Back 5
Give Back 3
Give Back 25
Give Back 10
Give Back
View profile

Avatar
Give Back 5
Employee
sunjot16
Employee

Likes

105 likes

Total Posts

164 posts

Correct Reply

50 solutions
Top badges earned
Give Back 5
Give Back 3
Give Back 25
Give Back 10
Give Back
View profile
sunjot16
Employee

02-11-2020

* Is your uber jar version compatible with the exact version of your AEM 6.5 that you are using?

Example:

AEM: 6.x.y

Uber Jar: uber-jar-6.x.y-apis.jar

or

uber-jar-6.x.y-apis-with-deprecations.jar

 

Found another community article that might be helpful:

https://experienceleaguecommunities.adobe.com/t5/adobe-experience-manager/com-day-cq-dam-core-cannot...

 

Avatar

Avatar
Ignite 1
MVP
SureshDhulipudi
MVP

Likes

163 likes

Total Posts

174 posts

Correct Reply

49 solutions
Top badges earned
Ignite 1
Give Back 5
Give Back 3
Give Back 10
Give Back
View profile

Avatar
Ignite 1
MVP
SureshDhulipudi
MVP

Likes

163 likes

Total Posts

174 posts

Correct Reply

49 solutions
Top badges earned
Ignite 1
Give Back 5
Give Back 3
Give Back 10
Give Back
View profile
SureshDhulipudi
MVP

31-10-2020

Is this issue happening in your local environment ?

Do you see any error in logs?, can you provide error log trace.